// Validation Variables
// Regex
exports.EMAIL_VALIDATION_REGEX = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
exports.MOBILE_VALIDATION_REGEX = /^[0-9]{7,16}$/;
exports.PASSWORD_VALIDATION_REGEX = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$@!%&*?])[A-Za-z\d#$@!%&*?]{6,30}$/
exports.DATABASE_NAME_VALIDATION_REGEX =/^(?!.*\s)[A-Za-z0-9]+$/
exports.GST_VALIDATION_REGEX=/^[0-9]{2}[A-Z]{5}[0-9]{4}[A-Z]{1}[0-9A-Z]{1}Z[0-9A-Z]{1}$/
exports.SPACE_NOT_VALIADTION_REGEX = /^([A-z0-9!@#$%^&*().,<>{}[\]<>?_=+\-|;:\'\"\/])*[^\s]\1*$/
// PASSWORD Conditions:
// Min 1 uppercase letter.
// Min 1 lowercase letter.
// Min 1 special character.
// Min 1 number.
// Min 6 characters.
// Max 30 characters.

exports.MOBILE_VALIDATION_MESSAGE = `Please Enter Valid Mobile Number`;
exports.EMAIL_VALIDATION_MESSAGE = `Please Enter email in proper Format`;
exports.REQUIRED_VALIDATION_MESSAGE = `Please Enter All Required Fields`;
exports.PASSWORD_VALIDATION_MESSAGE = `Password Must Contains At least 6 Character With One Capital Letter And Special Character `;
exports.DATABASE_NAME_VALIDATION_MESSAGE =`Please Enter Valid Database Name`;
exports.GST_VALIDATION_MESSAGE =`Please Enter Valid GST Number`,
exports.SPACE_NOT_VALIADTION_MESSAGE =`Space are Not Allow in Domain URL`


// moment date formats
exports.DD_MM_YYYY = 'DD_MM_YYYY'
exports.DDMMYYYYHHmmss = 'DDMMYYYYHHmmss'
exports.DD_MM_YYYY_HH_mm = 'DD-MM-YYYY HH:mm'
// logger file name date format
exports.YYYY_MM_DD = "YYYY-MM-DD"
exports.YYYY_MM_DD_HH_mm_ss = "YYYY-MM-DD HH:mm:ss"