const Sequelize = require('sequelize')
const sequelize = require("../database")

const ColorsModel = orgSequelize.define("colors", {
    color_id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        allowNull: false,
        autoIncrement: true
    },
    color_name: { type: Sequelize.STRING },
    status: { type: Sequelize.INTEGER, comment: "0-deactive : 1-active", defaultValue: 1 },
    deleted: { type: Sequelize.INTEGER, comment: "0-deleted , 1-not deleted", defaultValue: 1 },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
}, {
    timestamps: false,
    tableName: "colors"
})

module.exports = ColorsModel