const Sequelize = require("sequelize");
const sequelize = require("../database");

const CustomerModel = orgSequelize.define(
  "customer",
  {
    customer_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    customer_name: { type: Sequelize.STRING, allowNull: false },
    email: { type: Sequelize.STRING },
    phone: { type: Sequelize.STRING, allowNull: false },
    address: { type: Sequelize.STRING, allowNull: true },
    store_id: { type: Sequelize.INTEGER, defaultValue: 1 },
    created_by: { type: Sequelize.INTEGER },
    converted_by: { type: Sequelize.INTEGER },
    converted_date: { type: Sequelize.STRING, allowNull: true },
    deleted: {
      type: Sequelize.INTEGER,
      comment: " 0 : Deleted , 1 : Not Deleted",
      defaultValue: 1,
    },
    type: {
      type: Sequelize.INTEGER,
      comment: "0-lead 1-customer 2-convert to customer",
    },
    created_at: {
      type: Sequelize.STRING,
    },
    updated_at: {
      type: Sequelize.STRING,
    },

  },
  {
    timestamps: false,
    tableName: "customer",
  }
);

module.exports = CustomerModel;
