const Sequelize = require("sequelize");
const sequelize = require("../database");

const incomeexpenseModel = orgSequelize.define(
  "income_expense",
  {
    incomeexpense_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    income_expense_name: {
      type: Sequelize.STRING,
      allowNull: false,
    },
    income_expense_amount: {
      type: Sequelize.INTEGER,
      allowNull: false,
    },
    service_user_id: { type: Sequelize.INTEGER },
    user_id: { type: Sequelize.INTEGER },
    store_id: { type: Sequelize.INTEGER },
    date_time: { type: Sequelize.STRING },
    payment_method_id: { type: Sequelize.INTEGER, allowNull: false },
    income_expense_type: {
      type: Sequelize.INTEGER,
      comment: "0-expense 1-income",
      allowNull: false,
    },
    description: {
      type: Sequelize.TEXT,
    },
    deleted: {
      type: Sequelize.INTEGER,
      defaultValue: 1,
      comment: "1 : Not Deleted , 0 : Deleted ",
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    tableName: "income_expense",
    timestamps: false,
  }
);
module.exports = incomeexpenseModel;
