const Sequelize = require("sequelize");
const sequelize = require("../database");

const LeadAttributesModel = orgSequelize.define(
  "leadAttributes",
  {
    lead_attribute_id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    lead_attribute_name: { type: Sequelize.STRING },
    type: {
      type: Sequelize.INTEGER,
      comment: "1-lead Status, 2-lead Source",
    },
    createdBy: { type: Sequelize.INTEGER },
    created_at: {
      type: Sequelize.STRING,
    },
    updated_at: {
      type: Sequelize.STRING,
    },
  },
  {
    timestamps: false,
    tableName: "leadAttributes",
  }
);

module.exports = LeadAttributesModel;
