const Sequelize = require("sequelize")
const sequelize = require("../database")

const OrderPaymentHistoryModel = orgSequelize.define("orderpaymenthistory", {
    op_id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true,
        allowNull: false
    },
    o_id: { type: Sequelize.INTEGER },
    payment_date: { type: Sequelize.STRING },
    p_amount: { type: Sequelize.STRING },
    p_m_id: { type: Sequelize.INTEGER },
    payment_type: { type: Sequelize.INTEGER, comment: "1-Deposite , 2-RentInstallment" },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
},  {
    tableName: "orderpaymenthistory",
    timestamps: false
})

module.exports = OrderPaymentHistoryModel