const Sequelize = require("sequelize")
const sequelize = require("../database")

const ProductMediaModel = orgSequelize.define("productMedia", {
    product_media_id: {
        type: Sequelize.INTEGER,
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
    },
    image_url: {
        type: Sequelize.STRING,
    },
    product_id: {
        type: Sequelize.INTEGER,
    },
    status: {
        type: Sequelize.INTEGER,
        defaultValue: "1",
        comment: "0-deactive , 1-active"
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
}, {
    tableName: "productMedia",
    timestamps: false,
})

module.exports = ProductMediaModel