const Sequelize= require("sequelize");
const database = require("../database");

const superadminStoresModel=database.define("stores",{
    store_id:{
        type:Sequelize.INTEGER,
        allowNull:false,
        autoIncrement:true,
        primaryKey:true,
    },
    store_name:{
        type:Sequelize.STRING
    },
    store_no:{
        type:Sequelize.INTEGER
    },
    org_id:{
        type:Sequelize.INTEGER
    },
    purchase_date:{
        type:Sequelize.STRING
    },
    expiry_date:{ 
        type:Sequelize.STRING
    },
    status:{
        type:Sequelize.INTEGER,
        comment:"1-active : 0-deactive",
        defaultValue:1,
    },
},{ 
    timestamps:false,
    tableName:"stores"
})

module.exports=superadminStoresModel;