const Sequelize = require("sequelize");
const database = require("../database");

const SuperAdminModel=database.define(
    "super_admin",
    {
        super_admin_id:{
            type:Sequelize.INTEGER,
            allowNull:false,
            primaryKey:true,
            autoIncrement:true,
        },
        firstname:{
            type:Sequelize.STRING,
        },
        lastname:{
            type:Sequelize.STRING,
        },
        email:{
            type:Sequelize.STRING,
        },
        phone:{
            type:Sequelize.STRING,
        },  
        password:{
            type:Sequelize.STRING,
        },
        auth_token:{
            type:Sequelize.STRING,
        }
    },
    {
        timestamps:false,
        tableName:"super_admin",
    }
);

module.exports=SuperAdminModel;