const { logger } = require("../../utils/logger")
const ResponseHelpers = require("../../Helper/ResponseHelper");
const { countOrgdataandExpireStoreService } = require("./dashboard.services");

const countOrgdataandExpireStoreController = async(req,res)=>{
    try {
        const countdata=req.body
        const data= await countOrgdataandExpireStoreService(countdata)
        if(data.status == 1){
            return ResponseHelpers.Success(res,data.data,data.description)
        }else{
            return ResponseHelpers.Error(res,data.description)
        }
    } catch (error) {
        logger.error("----------------------------------- countOrgdataandExpireStoreController ----------------------------------")
        logger.error(error)
        return ResponseHelpers.InternalServerError(res,"Something Went Wrong,Please Try Again")
    }    
}

module.exports={countOrgdataandExpireStoreController}