const Sequelize = require("sequelize");
const sequelize = require("../database");

const categoryModel = orgSequelize.define(
  "category",
  {
    category_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    category_name: { type: Sequelize.STRING },
    store_id: { type: Sequelize.INTEGER, defaultValue: 0 },
    created_by: { type: Sequelize.INTEGER },
    status: { type: Sequelize.INTEGER, defaultValue: 1 ,comment: "1 : Active , 0 : Deactive" },
    deleted: {type: Sequelize.INTEGER, defaultValue:1, comment: "1: Not Deleted , 0 : Deleted"},
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    tableName: "category",
    timestamps: false,
  }
);

module.exports = categoryModel;
