const Sequelize = require("sequelize");
const sequelize = require("../database");

const leadFollowup = orgSequelize.define(
  "lead_followup",
  {
    l_f_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    lead_id: {
      type: Sequelize.INTEGER,
    },
    comment: {
      type: Sequelize.TEXT,
    },
    next_followup_date: {
      type: Sequelize.STRING,
    },
    user_id: {
      type: Sequelize.INTEGER,
    },
    created_at: {
      type: Sequelize.STRING,
    },
    updated_at: {
      type: Sequelize.STRING,
    },
  },
  {
    timestamps: false,
    tableName: "lead_followup",
  }
)

module.exports = leadFollowup
