const Sequelize = require("sequelize");
const sequelize = require("../database");

const PaymentMethodModel = orgSequelize.define(
  "paymentmethod",
  {
    payment_method_id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    payment_method_name: { type: Sequelize.STRING },
    deleted: {
      type: Sequelize.INTEGER,
      comment: "0-deleted, 1-not deleted",
      defaultValue: 1,
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    timestamps: false,
    tableName: "paymentmethod",
  }
);

module.exports = PaymentMethodModel;
