const Sequelize = require("sequelize")
const sequelize = require("../database")

const ProductModels = orgSequelize.define("products",
    {
        product_id: {
            primaryKey: true,
            type: Sequelize.INTEGER,
            autoIncrement: true,
            allowNull: false,
        },
        product_name: {
            type: Sequelize.STRING
        },
        category_id: {
            type: Sequelize.INTEGER,
        },
        subcategory_id: {
            type: Sequelize.INTEGER,
        },
        color_id: {
            type: Sequelize.INTEGER,
        },
        size_id: {
            type: Sequelize.INTEGER
        },
        quantity: {
            type: Sequelize.INTEGER,
        },
        rent_price: {
            type: Sequelize.INTEGER,
        },
        description: {
            type: Sequelize.TEXT,
        },
        store_id: {
            type: Sequelize.INTEGER,
        },
        user_id: {
            type: Sequelize.INTEGER
        },
        barcode: {
            type: Sequelize.STRING
        },
        status: {
            type: Sequelize.INTEGER,
            defaultValue: 1,
            comment: "0-deactive , 1-active"
        },
        deleted: {
            type: Sequelize.INTEGER,
            defaultValue: 1,
            comment: "0-deleted , 1-Not Deleted"
        },
        created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
    }, {
    tableName: "products",
    timestamps: false,
}
)

module.exports = ProductModels