const Sequelize = require("sequelize");
const sequelize = require("../database");

const ServiceUserModel = orgSequelize.define(
  "serviceuser",
  {
    service_user_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    service_user_firstname: {
      type: Sequelize.STRING,
    },
    service_user_lastname: {
      type: Sequelize.STRING,
    },
    email: {
      type: Sequelize.STRING,
    },
    phone: {
      type: Sequelize.STRING,
      allowNull: true,
    },
    address: {
      type: Sequelize.STRING,
      allowNull: true,
    },
    s_u_t_id: {
      type: Sequelize.INTEGER,
    },
    created_by: {
      type: Sequelize.INTEGER,
    },
    status: {
      type: Sequelize.INTEGER,
      comment: " 0 : Deactive , 1 : Active",
      defaultValue: 1,
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    timestamps: false,
    tableName: "serviceuser",
  }
);
module.exports = ServiceUserModel;
