const Sequelize = require("sequelize");
const sequelize = require("../database");

const storeWiseUserModel = orgSequelize.define(
  "store_wise_user",
  {
    s_w_a_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    user_id: { type: Sequelize.INTEGER },
    store_id: { type: Sequelize.INTEGER },
    user_type: { type: Sequelize.INTEGER, comment: "1 : Admin, 0 : Staff" },
    add_product: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    add_customer: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    invoice: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    lead: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    manage_order: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    income_expense: {
      type: Sequelize.INTEGER,
      comment: "1 : Access , 0 : Denied",
      defaultValue: 0,
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    timestamps: false,
    tableName: "store_wise_user",
  }
);

module.exports = storeWiseUserModel;
