const Sequelize = require("sequelize");
const sequelize = require("../database");

const subcategoryModel = orgSequelize.define(
  "subcategory",
  {
    subcategory_id: {
      type: Sequelize.INTEGER,
      autoIncrement: true,
      allowNull: false,
      primaryKey: true,
    },
    subcategory_name: { type: Sequelize.STRING },
    category_id: { type: Sequelize.INTEGER },
    created_by: {
      type: Sequelize.INTEGER,
    },
    status: {
      type: Sequelize.INTEGER,
      defaultValue: 1,
      comment: "1 : Active , 0 : Deactive",
    },
    deleted: {type: Sequelize.INTEGER, defaultValue:1, comment: "1: Not Deleted , 0 : Deleted"},
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },

  },
  {
    timestamps: false,
    tableName: "subcategory",
  }
);

module.exports = subcategoryModel;
