const Sequelize = require("sequelize");
const sequelize = require("../database");

const WashingProductModel = orgSequelize.define(
  "washing_product",
  {
    washing_product_id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      autoIncrement: true,
      allowNull: false,
    },
    order_detail_id: {
      type: Sequelize.INTEGER,
    },
    service_user_id: {
      type: Sequelize.INTEGER,
    },
    pickup_date: {
      type: Sequelize.STRING,
    },
    pickup_time:{
      type:Sequelize.INTEGER,
      comment: "0 : Morning , 1 : Afternoon, 2 : Evening",
    },
    arrived_date: {
      type: Sequelize.STRING,
    },
    arrive_time: {
      type: Sequelize.INTEGER,
      comment: "0 : Morning , 1 : Afternoon, 2 : Evening",
    },
    quantity: {
      type: Sequelize.INTEGER,
      allowNull: false,
    },
    status: {
      type: Sequelize.INTEGER,
      comment: "1 : Not Arrived , 0 : Arrived",
      defaultValue: 1,
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    timestamps: false,
    tableName: "washing_product",
  }
);

module.exports = WashingProductModel;
