const Sequelize = require("sequelize");
const sequelize = require("../database");

const websettingModel = orgSequelize.define(
  "websetting",
  {
    websetting_id: {
      type: Sequelize.INTEGER,
      allowNull: false,
      autoIncrement: true,
      primaryKey: true,
    },
    company_name: {
      type: Sequelize.STRING,
    },
    company_contact_no: {
      type: Sequelize.STRING,
    },
    company_email: {
      type: Sequelize.STRING,
    },
    company_address: {
      type: Sequelize.STRING,
    },
    company_logo: {
      type: Sequelize.STRING,
    },
    company_gst_no: {
      type: Sequelize.INTEGER,
    },
    invoice_prefix: {
      type: Sequelize.STRING,
    },
    invoice_start: {
      type: Sequelize.INTEGER,
    },
    bank_name: {
      type: Sequelize.STRING,
    },
    account_no: {
      type: Sequelize.STRING,
    },
    gst_per: {
      type: Sequelize.STRING,
    },
    ifsc_code: {
      type: Sequelize.STRING,
    },
    terms_condition: {
      type: Sequelize.TEXT,
    },
    signature: {
      type: Sequelize.STRING,
    },
    whatsapp_api: {
      type: Sequelize.STRING,
    },
    smtp_user: {
      type: Sequelize.STRING,
      allowNull: true,
    },
    smtp_email: {
      type: Sequelize.STRING,
    },
    smtp_password: {
      type: Sequelize.STRING,
    },
    smtp_port: {
      type: Sequelize.STRING,
      allowNull: true,
    },
    smtp_host: {
      type: Sequelize.STRING,
    },
    smtp_crypto: {
      type: Sequelize.STRING,
    },
    cc: {
      type: Sequelize.STRING,
    },
    created_at: { type: Sequelize.STRING },
    updated_at: { type: Sequelize.STRING },
  },
  {
    tableName: "websetting",
    timestamps: false,
  }
);

module.exports = websettingModel;
