const { logger } = require("./logger")

const ChangeDateFieldTypeChangeFunction = async (dbconnectionVar)=>{
    try {
        const tableNameArray = [
            "category", "colors","customer","income_expense","leads", "leadAttributes", "lead_followup",
            "lead_history", "orderDetails", "orderpaymenthistory",  "orders","organization","paymentmethod",
            "products","productMedia", "serviceuser","serviceusertype","sizes","stores","store_wise_user",
            "subcategory","washing_product", "websetting",
        ]
        for (let index = 0; index < tableNameArray.length; index++) {

        await dbconnectionVar.query (`ALTER TABLE ${tableNameArray[index]} CHANGE created_at created_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
                                                              CHANGE updated_at updated_at TIMESTAMP on update CURRENT_TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;`)
        }
    } catch (error) {
        logger.error("---------------------------- ERROR FROM ChangeDateFieldTypeChangeFunction FUNCTION ---------------------------------")
        logger.error(error)
    }                    
}

module.exports={ChangeDateFieldTypeChangeFunction}